import React from 'react';
import { Path } from 'slate';
import { EditorStore } from '../../store';
import { BackspaceKey } from './backspace';
export declare class EnterKey {
    private readonly store;
    private readonly backspace;
    bracketsMap: Map<string, string>;
    constructor(store: EditorStore, backspace: BackspaceKey);
    get editor(): import("slate").BaseEditor & import("slate-react").ReactEditor & import("slate-history").HistoryEditor;
    run(e: React.KeyboardEvent): void;
    empty(e: React.KeyboardEvent, path: Path): void;
    private table;
    private head;
    private paragraph;
}
